> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domsoftware.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Login

> Autentica um usuário e retorna um token de acesso para a plataforma.

### Body

<ParamField body="email" type="string" required>
  O email do usuário utilizado no momento do cadastro.
</ParamField>

<ParamField body="password" type="string" required>
  A senha correspondente ao usuário.
</ParamField>

<ParamField body="rememberMe" type="boolean" required>
  Define se a sessão deve ser mantida ativa por mais tempo ("Lembrar-me").
</ParamField>

### Response

<ResponseExample>
  ```json Response theme={null}
  {
    "accessToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
    "user": {
      "id": "7138b7d4-e653-4811-9a40-349f7ba342d4",
      "email": "usuario@exemplo.com.br",
      "name": "Nome do Usuário",
      "tenantId": "e305e9a4-585e-49b8-bc88-9fba992c6326"
    }
  }
  ```
</ResponseExample>


## OpenAPI

````yaml post /auth/login
openapi: 3.0.0
info:
  title: Hub Marketplace API
  description: API for managing marketplace listings and keys
  version: '1.0'
  contact: {}
servers: []
security: []
tags:
  - name: listings
    description: ''
paths:
  /auth/login:
    post:
      tags:
        - Auth
      operationId: AuthController_login
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LoginDto'
      responses:
        '201':
          description: ''
components:
  schemas:
    LoginDto:
      type: object
      properties: {}

````